/*
	Windows initilization
	add any windows you want to build at startup here
*/
function desktop_logged_in(){
	desktop_initialize();
}
//change to desktop after you you create the login stuff...
function Window_initialize(){
	document.body.innerHTML = '';
	notify = document.createElement('div');
	notify.id = 'notify area';
	notify.className = 'notify';
	obj = document.createElement('div');
	obj.className = 'desktop';
	obj.id = 'desktop';
	obj.appendChild(notify);
	obj.innerHTML = obj.innerHTML+SYSTEM_NAME+"<br/>"+SYSTEM_VERSION+"<br/>"+SYSTEM_AUTHOR+"<br/>"+SYSTEM_RELEASE_DATE+"<br/>"+DESKTOP_TYPE;
	document.body.appendChild(obj);
}
/*
	windows functions go here prefixed with a window_ or desktop_
*/
function window_create(title,width,height,x_loc,y_loc,content,commands,priority){
	obj = document.createElement('div');
	head = document.createElement('div');
	resizer = document.createElement('div');
	closer = document.createElement('a');
	minimizer = document.createElement('a');
	minimizer.className = 'title_-_box';
	minimizer.id = 'title_-_box';
	minimizer.href = 'javascript:window_minimize("'+title+'")';
	closer.className = 'title_x_box';
	closer.id = 'title_x_box';
	closer.href = 'javascript:window_close("'+title+'")';
	resizer.className = "resizer";
	resizer.id = "resizer";
	head.width = "100%";
	head.innerHTML = title;
	head.appendChild(closer);
	head.appendChild(minimizer);
	head.className = "titlebar";
	obj.appendChild(head);
	body = document.createElement('div');
	body.className = 'body';
	body.innerHTML = content;
	body.appendChild(resizer);
	obj.appendChild(body);
	obj.className = 'window';
	obj.id = title;
	obj.style.top = y_loc+PX;
	obj.style.left = x_loc+PX;
	obj.style.width = width+PX;
	obj.style.height = height+PX;
	tasker_create_task(title,commands,document.getElementById('desktop').appendChild(obj),priority);
}
function window_close(task_name){
	task_number = TASKER_TASK_LIST.name.findIndex(task_name);
	document.getElementById('desktop').removeChild(TASKER_TASK_LIST.task_object[task_number]);
	tasker_end_task(task_number);
}
function window_minimize(task_name){
	obj = TASKER_TASK_LIST.task_object[TASKER_TASK_LIST.name.findIndex(task_name)];
	if(obj.style.height == "20px"){
		obj.style.height = '';
		obj.style.width = '';
		obj.lastChild.style.visibility = 'visible';
	}else{
		obj.style.height = '20px';
		obj.style.width = '250px';
		obj.lastChild.style.visibility = 'hidden';
	}
}
function window_deactivate_all(){
	desktop = document.getElementById('desktop');
	for(i=0;i<=desktop.childNodes.length-1;i++){
		if(desktop.childNodes[i].style && desktop.childNodes[i].id != 'notify area'){
			desktop.childNodes[i].style.zIndex = 0;
		}
	}
}
